## ember 1502185845.1f229bfb3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)

project(Ember)
set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)
set(CMAKE_CXX_STANDARD 14)

include(GNUInstallDirs)
include(FindPkgConfig)

# Version setup

set(EMBER_VERSION_MAJOR 0)
set(EMBER_VERSION_MINOR 8)
set(EMBER_VERSION_PATCH 0)

set(VERSION ${EMBER_VERSION_MAJOR}.${EMBER_VERSION_MINOR}.${EMBER_VERSION_PATCH})

# Set compiler flags
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
add_definitions(-DVERSION="${VERSION}")
add_definitions(-DPREFIX="${CMAKE_INSTALL_PREFIX}")
add_definitions(-DEMBER_DATADIR="${CMAKE_INSTALL_FULL_DATADIR}")
add_definitions(-DEMBER_SYSCONFDIR="${CMAKE_INSTALL_FULL_SYSCONFDIR}")

include_directories("${PROJECT_SOURCE_DIR}/src")

enable_testing()
add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND})

# Meta data

macro(wf_generate_lua_bindings PKG_PATH)
    get_filename_component(PACKAGE_NAME ${PKG_PATH} NAME)
    get_filename_component(PACKAGE_DIR ${PKG_PATH} DIRECTORY)

    file(GLOB_RECURSE LUA_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" *.pkg)

    add_custom_command(
            OUTPUT ${PACKAGE_NAME}.cxx
            COMMAND ${CMAKE_COMMAND} -E echo_append "Building Lua bindings for ${PACKAGE_NAME}.cxx"
            COMMAND TOLUAXX=${TOLUA++_APP} ${PROJECT_SOURCE_DIR}/scripts/update_lua_bindings.sh ${PACKAGE_NAME} ${PACKAGE_NAME}.pkg ${CMAKE_CURRENT_BINARY_DIR}/${PACKAGE_NAME}.cxx
            COMMAND ${CMAKE_COMMAND} -E echo "Done."
            WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/${PACKAGE_DIR}
            DEPENDS ${LUA_FILES}
    )

    add_library(${PACKAGE_NAME}_bindings_lua ${PACKAGE_NAME}.cxx ${ARGN})

    #Add include directories of both the current source directory as well as the one containing the bindings. This allows for easy includes in the pkg-files.
    target_include_directories(${PACKAGE_NAME}_bindings_lua PUBLIC ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/${PACKAGE_DIR})

endmacro()


find_package(SDL2 REQUIRED)
include_directories(${SDL2_INCLUDE_DIR})
link_directories(${SDL2_LIBRARY_DIRS})
link_libraries(${SDL2_LIBRARIES})


pkg_check_modules(WF REQUIRED sigc++-2.0>=2.0.0 eris-1.4>=1.4.0 varconf-1.0>=0.6.7 mercator-0.4>=0.4.0 atlascpp-0.7>=0.7.0 wfmath-1.0>=1.0.3 libwfut-0.2>=0.2.2)
link_directories(${WF_LIBRARY_DIRS})
include_directories(${WF_INCLUDE_DIRS})
link_libraries(${WF_LIBRARIES})


find_package(Boost
        1.46.0
        REQUIRED
        COMPONENTS thread date_time system)

link_directories(${Boost_LIBRARY_DIRS})
link_libraries(${Boost_LIBRARIES})
include_directories(${Boost_INCLUDE_DIRS})

#TODO: check for binreloc?

find_package(OGRE 1.8 REQUIRED)
link_directories(${OGRE_LIBRARY_DIRS})
link_libraries(${OGRE_LIBRARIES})
include_directories(${OGRE_INCLUDE_DIRS})
if (APPLE)
	if (NOT OGRE_RenderSystem_GL_FOUND)
		MESSAGE(FATAL_ERROR "Could not find Ogre RenderSystem GL plugin. Make sure you've built Ogre with RenderSystem GL support.")
	endif(NOT OGRE_RenderSystem_GL_FOUND)
endif (APPLE)
# Required to find glew.h header. Backtrace: OgreSetup.cpp ==> OgreGLContext.h ==> OgreGLPrerequisites.h ==> <GL/glew.h>
include_directories("${OGRE_RenderSystem_GL_INCLUDE_DIR}")

if (NOT OGRE_Terrain_FOUND)
    MESSAGE(FATAL_ERROR "Could not find Ogre Terrain component. Make sure you've built Ogre with Terrain support.")
endif (NOT OGRE_Terrain_FOUND)
link_libraries(${OGRE_Terrain_LIBRARIES})
include_directories(${OGRE_Terrain_INCLUDE_DIRS})

if (NOT OGRE_Paging_FOUND)
    MESSAGE(FATAL_ERROR "Could not find Ogre Paging component. Make sure you've built Ogre with Paging support.")
endif (NOT OGRE_Paging_FOUND)
link_libraries(${OGRE_Paging_LIBRARIES})
include_directories(${OGRE_Paging_INCLUDE_DIRS})

if (NOT OGRE_Overlay_FOUND)
    MESSAGE(FATAL_ERROR "Could not find Ogre Overlay component. Make sure you've built Ogre with Overlay support.")
endif (NOT OGRE_Overlay_FOUND)
link_libraries(${OGRE_Overlay_LIBRARIES})
include_directories(${OGRE_Overlay_INCLUDE_DIRS})

if (OGRE_LIBRARY_DBG)
    set(OGRE_LIBRARY ${OGRE_LIBRARY_DBG})
else (OGRE_LIBRARY_DBG)
    set(OGRE_LIBRARY ${OGRE_LIBRARY_REL})
endif (OGRE_LIBRARY_DBG)

#It's not enough to check for the _DBG and _REL keys since they can both be set. We also need to check if the library ends with "_d.so" to
#determine if it's built for debug or release.
string(FIND ${OGRE_LIBRARY} "_d.so" OGRE_DEBUG_BUILD)
if (OGRE_DEBUG_BUILD MATCHES -1)
    MESSAGE(STATUS "Ogre was built in release mode.")
    add_definitions(-DOGRE_PLUGINDIR="${OGRE_PLUGIN_DIR_REL}")
else (OGRE_DEBUG_BUILD MATCHES -1)
    MESSAGE(STATUS "Ogre was built in debug mode.")
    add_definitions(-DOGRE_PLUGINDIR="${OGRE_PLUGIN_DIR_DBG}")
    add_definitions(-DOGRE_DEBUG_BUILD)
endif (OGRE_DEBUG_BUILD MATCHES -1)



if (APPLE)
    pkg_check_modules(TOLUAPP tolua++)
    if (NOT TOLUAPP_FOUND)
        #On OSX we'll just use the tolua++ which Hammer provides
        set(TOLUAPP_LIBRARIES "-ltolua++")
    else (APPLE)
        link_directories(${TOLUAPP_LIBRARY_DIRS})
        link_libraries(${TOLUAPP_LIBRARIES})
        include_directories(${TOLUAPP_INCLUDE_DIR})
    endif (APPLE)
else (APPLE)
    find_package(Tolua++ REQUIRED)
    link_directories(${TOLUA++_LIBRARY_DIRS})
    link_libraries(${TOLUA++_LIBRARY})
    include_directories(${TOLUA++_INCLUDE_DIR})
endif (APPLE)

#Allow Lua version to be set from outside, since some system might have CEGUI and tolua++ compiled to 5.2 or 5.3
if (NOT LUA_VERSION)
    set(LUA_VERSION 5.1)
endif (NOT LUA_VERSION)
# Lua should be before CEGUI_LuaScriptModule
find_package(Lua ${LUA_VERSION} EXACT)
if (APPLE AND NOT LUA_FOUND) # Try macports version if frameworks are not available
	pkg_check_modules(LUA lua-${LUA_VERSION})
endif (APPLE AND NOT LUA_FOUND)
if (NOT LUA_FOUND)
	MESSAGE(FATAL_ERROR "Could not find Lua ${LUA_VERSION}.")
endif (NOT LUA_FOUND)
link_directories(${LUA_LIBRARY_DIRS})
link_libraries(${LUA_LIBRARIES})
include_directories(${LUA_INCLUDE_DIR})


find_package(CEGUI 0.8.4 REQUIRED)
link_directories(${CEGUI_LIBRARY_DIRS})
link_libraries(${CEGUI_LIBRARIES})
include_directories(${CEGUI_INCLUDE_DIRS})

if (NOT CEGUI_OgreRenderer_FOUND)
    MESSAGE(FATAL_ERROR "Could not find CEGUI Ogre component. Make sure you've built CEGUI with Ogre support.")
endif (NOT CEGUI_OgreRenderer_FOUND)
link_libraries(${CEGUI_OgreRenderer_LIBRARIES})
include_directories(${CEGUI_OgreRenderer_INCLUDE_DIRS})

if (NOT CEGUI_LuaScriptModule_FOUND)
    MESSAGE(FATAL_ERROR "Could not find CEGUI Lua component. Make sure you've built CEGUI with Lua support.")
endif (NOT CEGUI_LuaScriptModule_FOUND)
link_libraries(${CEGUI_LuaScriptModule_LIBRARIES})
include_directories(${CEGUI_LuaScriptModule_INCLUDE_DIRS})


pkg_check_modules(TINYXML QUIET tinyxml)
if (TINYXML_FOUND)
    link_directories(${TINYXML_LIBRARY_DIRS})
    link_libraries(${TINYXML_LIBRARIES})
    include_directories(${TINYXML_INCLUDE_DIRS})
endif (TINYXML_FOUND)

find_package(SDL2 REQUIRED)
link_libraries(${SDL2_LIBRARY})
link_libraries(${SDL2_LIBRARIES})
include_directories(${SDL2_INCLUDE_DIR})

find_package(ALUT REQUIRED)
link_directories(${ALUT_LIBRARY_DIRS})
link_libraries(${ALUT_LIBRARIES})
include_directories(${ALUT_INCLUDE_DIRS})

find_package(OpenAL REQUIRED)
link_libraries(${OPENAL_LIBRARY})
link_libraries(${OPENAL_LIBRARIES})
include_directories(${OPENAL_INCLUDE_DIR})

pkg_check_modules(XDG REQUIRED libxdg-basedir>=1.0.0)
link_directories(${XDG_LIBRARY_DIRS})
link_libraries(${XDG_LIBRARIES})
include_directories(${XDG_INCLUDE_DIRS})

find_package(OpenGL)
link_directories(${OPENGL_LIBRARY_DIRS})
link_libraries(${OPENGL_LIBRARIES})
include_directories(${OPENGL_INCLUDE_DIR})

pkg_check_modules(CPPUNIT cppunit>=1.8.0)

#We'll use xmllint for validating schemas of some of our xml files.
find_program(XMLLINT xmllint)

add_subdirectory(src/domain)
add_subdirectory(src/bindings/lua)
add_subdirectory(src/services)
add_subdirectory(src/framework)
add_subdirectory(src/components/cegui)
add_subdirectory(src/components/entitymapping)
add_subdirectory(src/components/lua)
add_subdirectory(src/components/navigation)
add_subdirectory(src/components/ogre)
add_subdirectory(src/components/terrain)
#Only build tests if the "check" target is used.
add_subdirectory(tests EXCLUDE_FROM_ALL)
add_subdirectory(src/main)

file(GLOB MODELDEFINITIONS_FILES data/dural/*.modeldef)
foreach (FILE ${MODELDEFINITIONS_FILES})
    add_custom_command(TARGET check
            COMMAND "${XMLLINT}" --schema "${PROJECT_SOURCE_DIR}/data/modeldefinition.xsd" --nonet --noout "${FILE}")
endforeach (FILE MODELDEFINITIONS_FILES)


configure_file(ember.conf.in ember.conf @ONLY)
configure_file(ember.in ember @ONLY)
configure_file(ember.dox.in ember.dox @ONLY)
configure_file(scripts/sync_devmedia.sh.in scripts/sync_devmedia.sh @ONLY)
configure_file(scripts/refresh-amber-media-dev.sh.in scripts/refresh-amber-media-dev.sh @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ember.conf DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/ember)
install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/ember DESTINATION ${CMAKE_INSTALL_FULL_BINDIR})
install(FILES ember.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
install(FILES media/ember.png DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/64x64/apps)
install(FILES README.md COPYING AUTHORS NEWS DESTINATION ${CMAKE_INSTALL_DATADIR}/doc/ember-${VERSION})

install(DIRECTORY data DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/ember)

# man files
install(FILES man/man1/ember.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

set(MEDIA_DEV_DIR ${PROJECT_BINARY_DIR}/media-dev)
add_custom_command(
        OUTPUT ${MEDIA_DEV_DIR}
        COMMAND ${CMAKE_COMMAND} -E echo_append "I will now use rsync to install the development media from amber.worldforge.org into ${MEDIA_DEV_DIR}."
        COMMAND ${CMAKE_COMMAND} -E make_directory ${MEDIA_DEV_DIR}
        COMMAND rsync -rtvzu amber.worldforge.org::media-dev ${MEDIA_DEV_DIR}
        COMMAND ${CMAKE_COMMAND} -E echo "Copying ${MEDIA_DEV_DIR} to ${CMAKE_INSTALL_FULL_DATADIR}/ember/media."
        COMMAND ${CMAKE_COMMAND} -E copy_directory ${MEDIA_DEV_DIR} ${CMAKE_INSTALL_FULL_DATADIR}/ember/media
        COMMAND ${CMAKE_COMMAND} -E echo "Done."
        WORKING_DIRECTORY ${PROJECT_BINARY_DIR}
)

add_custom_target(media-dev DEPENDS ${MEDIA_DEV_DIR})

set(MEDIA_RELEASE_DIR media-${VERSION})
add_custom_command(
        OUTPUT ${MEDIA_RELEASE_DIR}
        COMMAND ${CMAKE_COMMAND} -E echo_append "I will now use rsync to install the release media from amber.worldforge.org into ${MEDIA_RELEASE_DIR}."
        COMMAND ${CMAKE_COMMAND} -E make_directory ${MEDIA_RELEASE_DIR}
        COMMAND rsync -rtvzu amber.worldforge.org::media-${VERSION} ${MEDIA_RELEASE_DIR}
        COMMAND ${CMAKE_COMMAND} -E echo "Copying ${MEDIA_RELEASE_DIR} to ${CMAKE_INSTALL_FULL_DATADIR}/ember/media."
        COMMAND ${CMAKE_COMMAND} -E copy_directory ${MEDIA_RELEASE_DIR} ${CMAKE_INSTALL_FULL_DATADIR}/ember/media
        COMMAND ${CMAKE_COMMAND} -E echo "Done."
        WORKING_DIRECTORY ${PROJECT_BINARY_DIR}
)

add_custom_target(media-release DEPENDS ${MEDIA_RELEASE_DIR})


# Doxygen support, exports a "docs" target.

find_package(Doxygen)

if (DOXYGEN_FOUND)

    set(DOXYGEN_INPUT ${CMAKE_CURRENT_BINARY_DIR}/ember.dox)
    set(DOXYGEN_OUTPUT doc)

    add_custom_command(
            OUTPUT ${DOXYGEN_OUTPUT}
            COMMAND ${CMAKE_COMMAND} -E echo_append "Building API Documentation..."
            COMMAND ${DOXYGEN_EXECUTABLE} ${DOXYGEN_INPUT}
            COMMAND ${CMAKE_COMMAND} -E echo "Done."
            WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
            DEPENDS ${DOXYGEN_INPUT}
    )

    add_custom_target(docs DEPENDS ${DOXYGEN_OUTPUT})

endif (DOXYGEN_FOUND)

add_custom_command(
        OUTPUT ChangeLog
        COMMAND ${CMAKE_SOURCE_DIR}/scripts/generate-ChangeLog.sh ${CMAKE_SOURCE_DIR} ${CMAKE_SOURCE_DIR} f12012e7616c191a8926432faf866c8e43854062
)
add_custom_target(changelog DEPENDS ChangeLog)


# Packaging

set(CPACK_PACKAGE_DESCRIPTION_SUMMARY ${DESCRIPTION})

=== tests/CMakeLists.txt ===
if (CPPUNIT_FOUND)

    MESSAGE(STATUS "Building tests.")

    add_executable(TestOgreView TestOgreView.cpp ConvertTestCase.cpp ModelMountTestCase.cpp)
    target_compile_definitions(TestOgreView PUBLIC -DLOG_TASKS)
    target_link_libraries(TestOgreView ${CPPUNIT_LIBRARIES} emberogre entitymapping framework)
    target_include_directories(TestOgreView PUBLIC ${CPPUNIT_INCLUDE_DIRS})
    add_test(NAME TestOgreView COMMAND TestOgreView)
    add_dependencies(check TestOgreView)

    add_executable(TestTasks TestTasks.cpp)
    target_compile_definitions(TestTasks PUBLIC -DLOG_TASKS)
    target_link_libraries(TestTasks ${CPPUNIT_LIBRARIES} framework)
    target_include_directories(TestTasks PUBLIC ${CPPUNIT_INCLUDE_DIRS})
    add_test(NAME TestTasks COMMAND TestTasks)
    add_dependencies(check TestTasks)

    add_executable(TestTimeFrame TestTimeFrame.cpp)
    target_compile_definitions(TestTimeFrame PUBLIC -DLOG_TASKS)
    target_link_libraries(TestTimeFrame ${CPPUNIT_LIBRARIES} framework)
    target_include_directories(TestTimeFrame PUBLIC ${CPPUNIT_INCLUDE_DIRS})
    add_test(NAME TestTimeFrame COMMAND TestTimeFrame)
    add_dependencies(check TestTimeFrame)

    add_executable(TestFramework TestFramework.cpp)
    target_compile_definitions(TestFramework PUBLIC -DLOG_TASKS -DSRCDIR="${CMAKE_CURRENT_SOURCE_DIR}")
    target_link_libraries(TestFramework ${CPPUNIT_LIBRARIES} framework)
    target_include_directories(TestFramework PUBLIC ${CPPUNIT_INCLUDE_DIRS})
    add_test(NAME TestFramework COMMAND TestFramework)
    add_dependencies(check TestFramework)

#    add_executable(TestTerrain TestTerrain.cpp)
#    target_compile_definitions(TestTerrain PUBLIC -DLOG_TASKS)
#    target_link_libraries(TestTerrain ${CPPUNIT_LIBRARIES} ${WF_LIBRARIES} emberogre terrain caelum pagedgeometry entitymapping lua services framework)
#    target_include_directories(TestTerrain PUBLIC ${CPPUNIT_INCLUDE_DIRS})
#    add_test(NAME TestTerrain COMMAND TestTerrain)

endif (CPPUNIT_FOUND)

=== src/domain/CMakeLists.txt ===
add_library(domain
        EmberEntity.cpp
        EntityTalk.cpp)


wf_generate_lua_bindings(bindings/lua/Domain)

=== src/framework/CMakeLists.txt ===
add_library(framework
        AttributeObserver.cpp ConsoleBackend.cpp ConsoleCommandWrapper.cpp
        DeepAttributeObserver.cpp DirectAttributeObserver.cpp Exception.cpp Log.cpp LoggingInstance.cpp StreamLogObserver.cpp
        Tokeniser.cpp XMLCodec.cpp binreloc.cpp TimedLog.cpp TimeHelper.cpp Service.cpp TimeFrame.cpp
        CommandHistory.cpp MainLoopController.cpp FileResourceProvider.cpp EntityExporterBase.cpp EntityExporter.cpp EntityImporterBase.cpp EntityImporter.cpp AtlasMessageLoader.cpp TinyXmlCodec.cpp
        AtlasObjectDecoder.cpp
        tasks/TaskExecutor.cpp tasks/TaskExecutionContext.cpp tasks/TaskQueue.cpp tasks/TaskUnit.cpp tasks/SerialTask.cpp
        tinyxml/tinystr.cpp tinyxml/tinyxml.cpp tinyxml/tinyxmlerror.cpp tinyxml/tinyxmlparser.cpp)


wf_generate_lua_bindings(bindings/lua/Framework)
wf_generate_lua_bindings(bindings/lua/atlas/Atlas)
wf_generate_lua_bindings(bindings/lua/eris/Eris)
wf_generate_lua_bindings(bindings/lua/varconf/Varconf)

=== src/main/CMakeLists.txt ===
add_executable(ember.bin Application.cpp ConfigBoundLogObserver.cpp Ember.cpp)
target_link_libraries(ember.bin
        ConnectorDefinitions_bindings_lua
        Domain_bindings_lua
        EmberServices_bindings_lua
        Framework_bindings_lua
        Cegui_bindings_lua
        Lua_bindings_lua
        Eris_bindings_lua
        Atlas_bindings_lua
        Varconf_bindings_lua
        EmberOgre_bindings_lua
        Adapters_bindings_lua
        AtlasAdapters_bindings_lua
        Representations_bindings_lua
        Ogre_bindings_lua
        Helpers_bindings_lua
        emberogre
        terrain
        entitymapping
        lua
        cegui
        navigation
        services
        domain
        framework)

install(TARGETS ember.bin DESTINATION ${CMAKE_INSTALL_FULL_BINDIR})

=== src/services/CMakeLists.txt ===
add_library(services
        config/ConfigListener.cpp
        config/ConfigListenerContainer.cpp
        config/ConfigService.cpp
        input/Input.cpp
        input/InputCommandMapper.cpp
        input/InputService.cpp
        logging/ErisLogReciever.cpp
        logging/LoggingService.cpp
        metaserver/MetaserverService.cpp
        scripting/ScriptingService.cpp
        server/AccountAvailableState.cpp
        server/AvatarTransferInfo.cpp
        server/ConnectedAdapter.cpp
        server/ConnectedState.cpp
        server/ConnectingState.cpp
        server/Connection.cpp
        server/EnteredWorldState.cpp
        server/LocalServerAdminCreator.cpp
        server/LoggedInState.cpp
        server/NonConnectedAdapter.cpp
        server/NonConnectedState.cpp
        server/OOGChat.cpp
        server/ServerService.cpp
        server/ServerServiceConnectionListener.cpp
        server/TransferInfoStringSerializer.cpp
        serversettings/ServerSettings.cpp
        serversettings/ServerSettingsCredentials.cpp
        sound/SoundBinding.cpp
        sound/SoundGeneral.cpp
        sound/SoundInstance.cpp
        sound/SoundSample.cpp
        sound/SoundService.cpp
        sound/SoundSource.cpp
        wfut/WfutService.cpp
        wfut/WfutSession.cpp
        EmberServices.cpp)


wf_generate_lua_bindings(bindings/lua/EmberServices)

=== src/bindings/lua/CMakeLists.txt ===
wf_generate_lua_bindings(ConnectorDefinitions TypeResolving.cpp)

=== src/components/cegui/CMakeLists.txt ===
add_library(cegui
        CEGUILogger.cpp
        ColouredRenderedStringParser.cpp
        RenderedColourStringTextComponent.cpp
        SDLNativeClipboardProvider.cpp)


wf_generate_lua_bindings(bindings/lua/Cegui)

install(DIRECTORY datafiles DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/ember/gui/cegui)

=== src/components/entitymapping/CMakeLists.txt ===
add_library(entitymapping
        Actions/Action.cpp Actions/DummyAction.cpp
        Cases/AttributeCase.cpp Cases/AttributeComparers/AttributeComparerWrapper.cpp
        Cases/AttributeComparers/HeightComparerWrapper.cpp Cases/AttributeComparers/NumericComparer.cpp
        Cases/AttributeComparers/NumericComparerWrapper.cpp Cases/AttributeComparers/NumericEqualsComparer.cpp
        Cases/AttributeComparers/NumericEqualsOrGreaterComparer.cpp Cases/AttributeComparers/NumericEqualsOrLesserComparer.cpp
        Cases/AttributeComparers/NumericGreaterComparer.cpp Cases/AttributeComparers/NumericLesserComparer.cpp
        Cases/AttributeComparers/NumericRangeComparer.cpp Cases/AttributeComparers/NumericValueHolder.cpp
        Cases/AttributeComparers/StringComparer.cpp Cases/AttributeComparers/StringComparerWrapper.cpp Cases/Case.cpp
        Cases/CaseBase.cpp Cases/EntityBaseCase.cpp Cases/EntityTypeCase.cpp Cases/OutfitCase.cpp
        ChangeContext.cpp Definitions/ActionDefinition.cpp Definitions/CaseDefinition.cpp
        Definitions/DefinitionBase.cpp Definitions/MatchDefinition.cpp Definitions/EntityMappingDefinition.cpp
        Matches/AbstractMatch.cpp Matches/AttributeDependentMatch.cpp
        Matches/AttributeMatch.cpp Matches/EntityTypeMatch.cpp Matches/MatchBase.cpp
        Matches/Observers/MatchAttributeObserver.cpp Matches/Observers/EntityCreationObserver.cpp Matches/OutfitMatch.cpp
        EntityMapping.cpp EntityMappingCreator.cpp EntityMappingManager.cpp)

=== src/components/lua/CMakeLists.txt ===
add_library(lua
        LuaHelper.cpp LuaScriptingProvider.cpp luaobject.cpp LuaScriptingCallContext.cpp Connectors.cpp Connector.cpp LuaConsoleObject.cpp)


wf_generate_lua_bindings(bindings/lua/Lua)

=== src/components/navigation/CMakeLists.txt ===
add_library(navigation
        Awareness.cpp fastlz.c Steering.cpp Loitering.cpp)
add_subdirectory(external/RecastDetour/Detour)
add_subdirectory(external/RecastDetour/DetourTileCache)
add_subdirectory(external/RecastDetour/Recast)

target_link_libraries(navigation DetourTileCache Detour Recast)

=== src/components/ogre/CMakeLists.txt ===
add_library(emberogre
        authoring/ConsoleDevTools.cpp authoring/DetachedEntity.cpp authoring/EntityMoveAdjuster.cpp
        authoring/EntityMoveManager.cpp authoring/EntityMover.cpp authoring/EntityMoverBase.cpp authoring/EntityRecipe.cpp authoring/EntityRecipeManager.cpp authoring/GUIAdapter.cpp
        authoring/GUIAdapterBindings.cpp authoring/MaterialEditor.cpp authoring/MovementAdapter.cpp authoring/Polygon.cpp authoring/PolygonPoint.cpp
        authoring/PolygonPointMovement.cpp authoring/PolygonPointMover.cpp authoring/PolygonPointPickListener.cpp
        authoring/PolygonPointUserObject.cpp authoring/PolygonRenderer.cpp authoring/XMLEntityRecipeSerializer.cpp authoring/SnapToMovement.cpp
        authoring/AuthoringHandler.cpp authoring/AuthoringManager.cpp authoring/AuthoringVisualization.cpp authoring/AuthoringVisualizationCollisionDetector.cpp
        authoring/AuthoringVisualizationMover.cpp authoring/AuthoringMoverConnector.cpp authoring/RulesFetcher.cpp authoring/RuleEditor.cpp
        authoring/SimpleEntityVisualization.cpp authoring/EntityMaker.cpp authoring/AwarenessVisualizer.cpp
        authoring/EntityConsoleEditor.cpp authoring/EntityConsoleEditor.cpp

        lod/LodLevelManager.cpp

        camera/MainCamera.cpp camera/CameraMountBase.cpp camera/FirstPersonCameraMount.cpp camera/Recorder.cpp camera/ThirdPersonCameraMount.cpp
        camera/CameraSettings.cpp
        environment/CaelumEnvironment.cpp environment/CaelumSky.cpp environment/CaelumSun.cpp
        environment/EmberEntityLoader.cpp environment/Environment.cpp environment/Foliage.cpp environment/FoliageBase.cpp environment/FoliageLayer.cpp
        environment/FoliageLoader.cpp environment/Forest.cpp environment/GrassFoliage.cpp environment/LensFlare.cpp
        environment/ShrubberyFoliage.cpp environment/SimpleEnvironment.cpp environment/SimpleWater.cpp environment/Sun.cpp environment/Tree.cpp environment/Water.cpp
        environment/OceanRepresentation.cpp environment/OceanAction.cpp environment/SimpleWaterCollisionDetector.cpp
        environment/ExclusiveImposterPage.cpp
        environment/FoliageDetailManager.cpp
        gui/ActiveWidgetHandler.cpp gui/CursorWorldListener.cpp

        lod/LodDefinition.cpp lod/LodDefinitionManager.cpp lod/LodManager.cpp lod/XMLLodDefinitionSerializer.cpp lod/PMInjectorSignaler.cpp
        lod/ScaledPixelCountLodStrategy.cpp

        mapping/EmberEntityMappingManager.cpp mapping/XMLEntityMappingDefinitionSerializer.cpp

        model/ModelAction.cpp model/AnimationSet.cpp model/Model.cpp
        model/ModelBackgroundLoader.cpp model/ModelDefinition.cpp model/ModelDefinitionAtlasComposer.cpp
        model/ModelDefinitionManager.cpp model/ModelPart.cpp model/ParticleSystem.cpp model/ParticleSystemBinding.cpp model/SubModel.cpp
        model/SubModelPart.cpp model/XMLModelDefinitionSerializer.cpp model/ModelRepresentation.cpp
        model/ModelRepresentationManager.cpp model/ModelMount.cpp model/ModelAttachment.cpp model/ModelBoneProvider.cpp model/ModelFitting.cpp model/ModelPartReactivatorVisitor.cpp

        sound/SoundAction.cpp sound/SoundDefinition.cpp sound/SoundDefinitionManager.cpp
        sound/SoundEntity.cpp sound/SoundGroup.cpp sound/SoundGroupDefinition.cpp sound/XMLSoundDefParser.cpp

        terrain/OgreTerrain/OgreTerrainMaterialGeneratorEmber.cpp
        terrain/OgreTerrain/OgreTerrainDefiner.cpp
        terrain/OgreTerrain/OgreTerrainAdapter.cpp terrain/OgreTerrain/OgreTerrainObserver.cpp terrain/OgreTerrain/OgreTerrainPageBridge.cpp terrain/OgreTerrain/OgreTerrainPageProvider.cpp
        terrain/OgreTerrain/EmberTerrainGroup.cpp terrain/OgreTerrain/EmberTerrain.cpp terrain/OgreTerrain/CameraFocusedGrid2DPageStrategy.cpp
        terrain/Map.cpp terrain/TerrainArea.cpp
        terrain/TerrainAreaParser.cpp terrain/TerrainEditor.cpp
        terrain/TerrainManager.cpp terrain/TerrainInfo.cpp terrain/TerrainLayerDefinition.cpp
        terrain/TerrainLayerDefinitionManager.cpp terrain/TerrainMod.cpp
        terrain/TerrainPage.cpp terrain/TerrainPageGeometry.cpp
        terrain/TerrainPageShadow.cpp terrain/TerrainPageSurface.cpp terrain/TerrainPageSurfaceCompiler.cpp
        terrain/TerrainPageSurfaceLayer.cpp terrain/TerrainShader.cpp terrain/XMLLayerDefinitionSerializer.cpp
        terrain/PlantAreaQuery.cpp terrain/PlantAreaQueryResult.cpp terrain/TerrainParser.cpp terrain/TerrainPageCreationTask.cpp
        terrain/TerrainShaderUpdateTask.cpp terrain/TerrainAreaUpdateTask.cpp
        terrain/techniques/Shader.cpp
        terrain/techniques/ShaderPass.cpp
        terrain/techniques/ShaderPassBlendMapBatch.cpp terrain/techniques/Simple.cpp terrain/techniques/Base.cpp
        terrain/Image.cpp terrain/OgreImage.cpp terrain/WFImage.cpp terrain/TerrainMaterialCompilationTask.cpp
        terrain/HeightMapSegment.cpp terrain/HeightMap.cpp terrain/Buffer.cpp terrain/HeightMapBuffer.cpp
        terrain/HeightMapBufferProvider.cpp terrain/HeightMapUpdateTask.cpp terrain/TerrainAreaTaskBase.cpp terrain/TerrainAreaAddTask.cpp
        terrain/TerrainAreaRemoveTask.cpp terrain/TerrainModUpdateTask.cpp
        terrain/GeometryUpdateTask.cpp terrain/TerrainEditorOverlay.cpp terrain/TerrainDefPoint.cpp
        terrain/TerrainShaderParser.cpp terrain/TerrainUpdateTask.cpp terrain/ShadowUpdateTask.cpp terrain/PlantQueryTask.cpp
        terrain/HeightMapFlatSegment.cpp terrain/Segment.cpp terrain/SegmentHolder.cpp terrain/SegmentManager.cpp
        terrain/foliage/PlantPopulator.cpp terrain/foliage/ClusterPopulator.cpp terrain/foliage/Vegetation.cpp terrain/TerrainHandler.cpp
        terrain/techniques/CompilerTechniqueProvider.cpp terrain/ITerrainObserver.h terrain/TerrainPageDeletionTask.cpp
        terrain/techniques/OnePixelMaterialGenerator.cpp

        widgets/ActionBarInput.cpp widgets/ActionBarIcon.cpp widgets/ActionBarIconSlot.cpp widgets/ActionBarIconDragDropTarget.cpp widgets/ActionBarIconManager.cpp widgets/AssetsManager.cpp widgets/ColouredListItem.cpp widgets/Compass.cpp
        widgets/ConsoleAdapter.cpp widgets/EntityCEGUITexture.cpp widgets/EntityCreator.cpp widgets/EntityCreatorActionCreator.cpp
        widgets/EntityCreatorHideModelAction.cpp widgets/EntityCreatorModelAction.cpp widgets/EntityCreatorMovement.cpp
        widgets/EntityCreatorMovementBridge.cpp widgets/EntityCreatorPartAction.cpp widgets/EntityEditor.cpp widgets/EntityIcon.cpp
        widgets/EntityIconDragDropPreview.cpp widgets/EntityIconDragDropTarget.cpp widgets/EntityIconManager.cpp widgets/EntityIconSlot.cpp widgets/Help.cpp widgets/IconBar.cpp
        widgets/IconBase.cpp widgets/IngameChatWidget.cpp widgets/InspectWidget.cpp widgets/ListHolder.cpp
        widgets/LoadingBar.cpp widgets/EntityCreatorTypeHelper.cpp widgets/MeshInfoProvider.cpp widgets/MeshPreview.cpp widgets/ModelRenderer.cpp
        widgets/MovableObjectRenderer.cpp widgets/OgreEntityRenderer.cpp widgets/QuaternionAdapter.cpp widgets/QuickHelp.cpp widgets/QuickHelpCursor.cpp widgets/Quit.cpp widgets/ServerWidget.cpp widgets/HelpMessage.cpp widgets/WorldLoadingScreen.cpp
        widgets/StackableContainer.cpp widgets/Vector3Adapter.cpp widgets/Widget.cpp widgets/WidgetDefinitions.cpp widgets/WidgetPool.cpp widgets/AtlasHelper.cpp widgets/ModelEditHelper.cpp
        widgets/EntityTextureManipulator.cpp widgets/LabelAction.cpp
        widgets/icons/Icon.cpp widgets/icons/IconImageStore.cpp widgets/icons/IconManager.cpp
        widgets/icons/IconRenderer.cpp widgets/icons/IconStore.cpp
        widgets/adapters/ListBinder.cpp widgets/adapters/atlas/AdapterFactory.cpp widgets/adapters/atlas/AreaAdapter.cpp
        widgets/adapters/atlas/CustomAdapter.cpp widgets/adapters/atlas/ListAdapter.cpp widgets/adapters/atlas/MapAdapter.cpp widgets/adapters/atlas/NumberAdapter.cpp widgets/adapters/atlas/OrientationAdapter.cpp
        widgets/adapters/atlas/PolygonAdapter.cpp widgets/adapters/atlas/Position2DAdapter.cpp widgets/adapters/atlas/PositionAdapter.cpp widgets/adapters/atlas/SizeAdapter.cpp
        widgets/adapters/atlas/StaticAdapter.cpp widgets/adapters/atlas/TerrainModAdapter.cpp
        widgets/adapters/eris/RuleTreeAdapter.cpp widgets/adapters/ogre/ResourceListAdapter.cpp widgets/representations/LayoutHelper.cpp widgets/TexturePair.cpp widgets/EntityTooltip.cpp
        widgets/EntityCreatorCreationInstance.cpp widgets/adapters/ValueTypeHelper.cpp

        Avatar.cpp AvatarCameraWarper.cpp
        MovementController.cpp AvatarLogger.cpp AvatarTerrainCursor.cpp
        EmberEntityActionCreator.cpp
        EmberEntityFactory.cpp EmberEntityHideModelAction.cpp EmberEntityModelAction.cpp
        EmberEntityPartAction.cpp EmberEntityUserObject.cpp EmberOgre.cpp EmberOgreFileSystem.cpp
        EntityWorldPickListener.cpp GUICEGUIAdapter.cpp GUIManager.cpp
        MediaUpdater.cpp MeshCollisionDetector.cpp MeshSerializerListener.cpp
        MotionManager.cpp OgreInfo.cpp OgreLogObserver.cpp OgreResourceLoader.cpp
        OgreResourceProvider.cpp OgreWindowProvider.cpp OgreSetup.cpp OgrePluginLoader.cpp NodeAttachment.cpp
        ShaderManager.cpp ShaderDetailManager.cpp ShadowCameraSetup.cpp ShadowDetailManager.cpp SimpleRenderContext.cpp RenderDistanceManager.cpp AutoGraphicsLevelManager.cpp
        XMLHelper.cpp WorldAttachment.cpp NodeController.cpp
        DelegatingNodeController.cpp AvatarAttachmentController.cpp HiddenAttachment.cpp
        AttachmentBase.cpp AvatarCameraMotionHandler.cpp FreeFlyingCameraMotionHandler.cpp SceneNodeProvider.cpp
        EntityObserverBase.cpp TerrainPageDataProvider.cpp Scene.cpp ForestRenderingTechnique.cpp World.cpp
        Screen.cpp ShapeVisual.cpp TerrainEntityManager.cpp OgreConfigurator.cpp CompositionAction.cpp GraphicalChangeAdapter.cpp)


install(FILES ogre.cfg environment/hydrax.cfg DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/ember)
install(FILES ogre.cfg DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/ember)

file(GLOB ENTITY_RECIPES_FILES "${CMAKE_CURRENT_SOURCE_DIR}/authoring/entityrecipes/*.entityrecipe" "${CMAKE_CURRENT_SOURCE_DIR}/authoring/entityrecipes/*.xsd")
install(FILES ${ENTITY_RECIPES_FILES} DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/ember/entityrecipes)

file(GLOB SOUND_DEFINITION_FILES "${CMAKE_CURRENT_SOURCE_DIR}/sounddefinitions/*.sounddef")
install(FILES ${SOUND_DEFINITION_FILES} DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/ember/sounddefinitions)

file(GLOB LAYOUT_FILES "${CMAKE_CURRENT_SOURCE_DIR}/widgets/*.layout")
install(FILES ${LAYOUT_FILES} DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/ember/gui/cegui/datafiles/layouts/)

file(GLOB ATLAS_ADAPTER_LAYOUT_FILES "${CMAKE_CURRENT_SOURCE_DIR}/widgets/adapters/atlas/*.layout")
install(FILES ${ATLAS_ADAPTER_LAYOUT_FILES} DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/ember/gui/cegui/datafiles/layouts/adapters/atlas/)

file(GLOB REPRESENTATION_LAYOUT_FILES "${CMAKE_CURRENT_SOURCE_DIR}/widgets/representations/*.layout")
install(FILES ${REPRESENTATION_LAYOUT_FILES} DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/ember/gui/cegui/datafiles/layouts/representations)

file(GLOB LUA_FILES "${CMAKE_CURRENT_SOURCE_DIR}/widgets/*.lua")
install(FILES ${LUA_FILES} DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/ember/scripting/lua/)

wf_generate_lua_bindings(scripting/bindings/lua/EmberOgre)
wf_generate_lua_bindings(scripting/bindings/lua/ogre/Ogre)
wf_generate_lua_bindings(scripting/bindings/lua/helpers/Helpers scripting/bindings/lua/helpers/OgreUtils.cpp)
wf_generate_lua_bindings(widgets/adapters/bindings/lua/Adapters)
wf_generate_lua_bindings(widgets/adapters/atlas/bindings/lua/AtlasAdapters)
wf_generate_lua_bindings(widgets/representations/bindings/lua/Representations)

add_subdirectory(environment/caelum)
add_subdirectory(environment/meshtree)
add_subdirectory(environment/pagedgeometry)

target_link_libraries(emberogre caelum meshtree pagedgeometry)

## ember 0.6.2+dfsg

=== debian/changelog ===
ember (0.6.2+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch 0014-boost-1.53.patch from git repository.
  * Patching to support wfmath-1.0 and ogre-1.8 (Backport from new upstream
    version): Patch 0015-ogre18-wfmath10.patch. (Closes: #704786)
  * The rebuild will also allow installing it again (Closes: #753767)
  * Adding versioned B-D on liberis-dev >1.3.21-0.1 to ensure that the NMU
    of eris is considered. (Can be removed the next upload)

 -- Tobias Frost <tobi@debian.org>  Sat, 16 Aug 2014 17:05:12 +0200

ember (0.6.2+dfsg-2) unstable; urgency=low

  * fixed a FTBFS on random arches due to --parallel on dh_install
    (closes: #677392)

 -- Stephen M. Webb <stephen.webb@bregmasoft.ca>  Tue, 12 Jun 2012 15:59:48 -0400

ember (0.6.2+dfsg-1) unstable; urgency=low

  * new upstream release (closes: #633854)
    - removed dependency on libceguiogre-dev (closes: #629767)
  * removed old unused build dependencies
  * converted to 3.0 (quilt) source format, removed obsolete patches
  * converted to use dh sequencer (compat level 9)
  * new maintainer: Debian games team (closes: #653970)
    - added myself as uploader
  * adjusted paths in installed launcher script to use defaults
  * used xz compression in packaging
  * debian/control: updated Standards-Version to 3.9.3
  * debian/copyright: changed to computer-readable format (DEP-5)
  * 0008-replace-fastdeletegate-with-sigc++.patch: replaced FastDelegate
    - removed non-free code from orig tarball, added +dfsg to version
    - pulled sigc++ replacement patch from upstream instead
  * 0009-spelling-bach.patch: fix spelling mistake
  * 0010-fix-ember-script-args.patch: fix argument handling in script
  * 0011-qualify-template-function.patch: fixes FTBFS using GCC 4.7
  * 0012-fix-osdir-headers: adds required headers for POSIX.
  * 0013-remove-invalid-linker-flags.patch: remove an invalid linker flag

 -- Stephen M. Webb <stephen.webb@bregmasoft.ca>  Mon, 04 Jun 2012 11:46:25 -0400

ember (0.5.7-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * ember, ember.in
    - Proper escape of LD_LIBRARY_PATH, fixes CVE-2010-3355 "insecure library
      loading" (grave, security; Closes: #598288)

 -- Etienne Millon <etienne.millon@gmail.com>  Sun, 24 Oct 2010 17:40:16 +0200

ember (0.5.7-1) unstable; urgency=low

  * New upstream release.
    - Compile against current ogre (Closes: #551431)
    - Removed debian/patches/ember-gcc4.4.patch. Merged upstream.
    - Updated Depends on ember-media.
  * Add libboost-thread-dev tp Build-Depends.
  * Make debian/rules independent from upstream version.
  * Updated watch file to allow automatic download of new upstream
    tarballs.

 -- Michael Koch <konqueror@gmx.de>  Thu, 22 Oct 2009 23:21:17 +0200

ember (0.5.6-2) unstable; urgency=low

  * Fix FTBFS with GCC 4.4 (Closes: #547190).
  * Updated Standards-Version to 3.8.3.

 -- Michael Koch <konqueror@gmx.de>  Thu, 17 Sep 2009 18:43:00 +0200

ember (0.5.6-1) unstable; urgency=low

  * Initial release (Closes: #437516)

 -- Michael Koch <konqueror@gmx.de>  Thu, 23 Jul 2009 07:46:40 +0200

=== debian/control ===
Source: ember
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephen M. Webb <stephen.webb@bregmasoft.ca>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libalut-dev,
               libatlas-cpp-0.6-dev (>= 0.6.1),
               libboost-thread-dev,
               libcegui-mk2-dev (>= 0.7.5),
               liberis-1.3-dev (>= 1.3.21-0.1~),
               liblua5.1-0-dev,
               libmercator-0.3-dev (>= 0.3.0),
               libogre-1.8-dev,
               libopenal-dev,
               libpcre3-dev,
               libsdl1.2-dev,
               libsigc++-2.0-dev,
               libtinyxml-dev,
               libtolua++5.1-dev,
               libvarconf-dev (>= 0.6.7),
               libwfut-0.2-dev (>= 0.2.1),
               pkg-config
Standards-Version: 3.9.3
Homepage: http://www.worldforge.org/
Vcs-Git: git://git.debian.org/git/pkg-games/ember.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/ember.git

Package: ember
Architecture: any
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ember-media (>= 0.6.2),
         ${misc:Depends},
         ${shlibs:Depends}
Description: 3D client framework for the WorldForge project
 Ember is a 3D client framework for WorldForge. It's not meant to be a
 standalone game, instead its purpose is to provide a solid and extensible
 base from which to build game-specific clients. One of the goals of Ember
 is to allow for easy customization of the codebase. Currently it supports
 the game world of Mason.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --bindir=/usr/games --enable-cppunit=no

# force generated sources to be regenerated with local version of tolua++
override_dh_auto_build:
	chmod +x scripts/update_lua_bindings.sh
	make clean
	dh_auto_build

override_dh_install:
	find . -name COPYING -delete
	dh_install --fail-missing -X.la -X.a -XCOPYING
	rm -rf debian/ember/usr/share/ember/media/shared/sounddefinitions

override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*// \
http://sf.net/worldforge/ember-([\d\.]*)\.tar\.bz2 debian uupdate

## ember 0.7.2+dfsg

=== debian/changelog ===
ember (0.7.2+dfsg-1build2) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:13:13 +0000

ember (0.7.2+dfsg-1build1) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:18:11 +0000

ember (0.7.2+dfsg-1) unstable; urgency=medium

  [ Stephen M. Webb ]
  * debian/control: updated build-depends to newer minimum versions
    (closes: #704786)
  * debian/control: updated Standards-Version to 3.9.4 (updated VCS-* fields)
  * debian/patches/0001-ember.in-test-expr.patch: removed (fixed upstream)
  * debian/patches/0002-add-update_lua_bindings.patch: removed (fixed upstream)
  * debian/patches/0003-add-atlas-pkg.patch: removed (fixed upstream)
  * debian/patches/0004-domain-bindings-lua-makefile.patch: refreshed
  * debian/patches/0005-ember.in-prefix.patch: removed (fixed upstream)
  * debian/patches/0006-spellcheck-similiar.patch: removed (fixed upstream)
  * debian/patches/0007-revert-libwfut-version.patch: refreshed
  * debian/patches/0008-replace-fastdeletegate-with-sigc++.patch: removed
   (fixed upstream)
  * debian/patches/0009-spelling-bach.patch: removed (fixed upstream)
  * debian/patches/0010-fix-ember-script-args.patch: removed (fixed upstream)
  * debian/patches/0011-qualify-template-functions.patch: removed (fixed
    upstream)
  * debian/patches/0012-fix-osdir-headers.patch: removed (fixed upstream)
  * debian/patches/0013-remove-invalid-linker-flags.patch: removed (fixed
    upstream)
  * debian/patches/0014-add-missing-ogrelodstrategy.patch: new
  * debian/control: fixed Vcs-Browser URL
  * debian/patches/0015-verbose-configure-errors.patch: new
  * debian/patches/0016-boost-1.53.patch: new
  * debian/control: bump boost build dependeny to 1.53

  [ Olek Wojnar ]
  * New upstream release (Closes: #799748)
  * Add myself as new uploader
    - Remove Stephen Webb per his request
    - Thanks for all the contributions, Stephen!
  * d/patches/0007-revert-libwfut-version.patch: removed (unnecessary)
  * d/control
    - Remove pre-dependency on dpkg
    - Update standards to 3.9.8 (no changes)
    - Update Vcs lines for secure URIs
  * Import patch from the wfmath package to replace MersenneTwister.h
    -- Avoids problems from ambiguous copyright of the original file
  * Update dependencies for version 0.7.2
  * Enable all hardening options
  * Add three lintian overrides
    -- Ignore install into usr/bin (binary)
    -- Ignore .rc files needed for WIN32 build (source)
    -- Ignore false positive of spelling error (binary)
  * d/copyright: Update contributors and dates
  * d/rules
    -- Do not remove "sounddefinitions" directory
    -- Enable parallel build
    -- Do not install into games directories
    -- Remove dh_builddeb override since xz is now the default
  * d/watch: update file extensions
  * Remove three patches, add eight patches, update remaining patches
    -- 0004-domain-bindings-lua-makefile.patch (implemented upstream)
    -- 0014-add-missing-ogrelodstrategy.patch (implemented upstream)
    -- 0016-boost-1.53.patch (patch target file removed upstream)
    -- 0018-enable-subdir-objects.patch (Fix automake 1.14 warnings)
    -- 0019-update-boost-m4.patch (Fix invalid boost_major_version)
    -- 0020-remove-obsolete-includes.patch (Fix obsolete includes)
    -- 0021-GraphicalChangeAdapter-fix-for-newer-compilers.patch (Added)
    -- 0022-fix-typos.patch (Fix typos identified by lintian)
    -- 0023-add-keywords-to-desktop-file.patch (Add Keywords to .desktop file)
    -- 0024-fix-icon-location (Make icon location Icon Theme Spec-compliant)
    -- 0025-fix-duplicate-script-install.patch (Was causing build failures)

 -- Olek Wojnar <olek-dev@wojnar.org>  Sat, 06 Aug 2016 18:39:19 -0400

=== debian/control ===
Source: ember
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Olek Wojnar <olek-dev@wojnar.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libalut-dev,
               libatlas-cpp-0.6-dev (>= 0.6.3),
               libboost-dev,
               libboost-date-time-dev,
               libboost-thread-dev,
               libcegui-mk2-dev (>= 0.8.3),
               liberis-1.3-dev (>= 1.3.23),
               liblua5.1-0-dev,
               libmercator-0.3-dev (>= 0.3.3),
               libogg-dev,
               libogre-1.9-dev,
               libopenal-dev,
               libpcre3-dev,
               libsdl1.2-dev,
               libsigc++-2.0-dev,
               libtinyxml-dev,
               libtolua++5.1-dev,
               libvarconf-dev (>= 0.6.7),
               libvorbis-dev,
               libwfmath-1.0-dev,
               libwfut-0.2-dev (>= 0.2.2),
               pkg-config
Standards-Version: 3.9.8
Homepage: http://www.worldforge.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-games/ember.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/ember.git

Package: ember
Architecture: any
Depends: ember-media (>= 0.6.2),
         ${misc:Depends},
         ${shlibs:Depends}
Description: 3D client framework for the WorldForge project
 Ember is a 3D client framework for WorldForge. It's not meant to be a
 standalone game, instead its purpose is to provide a solid and extensible
 base from which to build game-specific clients. One of the goals of Ember
 is to allow for easy customization of the codebase. Currently it supports
 the game world of Mason.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-cppunit=no

# force generated sources to be regenerated with local version of tolua++
override_dh_auto_build:
	chmod +x scripts/update_lua_bindings.sh
	make clean
	dh_auto_build

override_dh_install:
	find . -name COPYING -delete
	dh_install --fail-missing -X.la -X.a -XCOPYING

=== debian/watch ===
version=3
opts=dversionmangle=s/\+(dfsg)\d*$// \
 http://sf.net/worldforge/ember-([\d\.]*)\.(?:tar\.(?:gz|bz2|xz)) debian uupdate

## ember 0.8.0~snap1

=== debian/changelog ===
ember (0.8.0~snap1) unstable; urgency=medium

  * Convert to snap package
  * Update Standards to 4.5.0 (no changes)
  * Update to compatibility level 12 and remove d/compat file
  * Add Rules-Requires-Root: no

 -- Olek Wojnar <olek@debian.org>  Fri, 07 Feb 2020 21:28:22 -0500

ember (0.7.2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Add fix-gcc-9.patch.
    Fix FTBFS with GCC-9.
    Thanks to Giovanni Mascellani for the patch! (Closes: #925674)
  * Declare compliance with Debian Policy 4.4.0.

 -- Markus Koschany <apo@debian.org>  Thu, 25 Jul 2019 05:32:32 +0200

ember (0.7.2+dfsg-2) unstable; urgency=medium

  * Update d/control
    - New uploader email and URLs
    - Debhelper to 11
    - Standards to 4.2.1 (no changes)
  * Update d/copyright
    - Refresh URLs and Debian info
    - Document reason for DFSG original source
  * Update d/compat to 11:
    - Update d/rules: add dh_missing, remove parallel, remove with autoreconf
    - Update d/control: remove dh-autoreconf build-depends
  * Add d/upstream/metadata: for DEP 12 compliance

 -- Olek Wojnar <olekw.dev@gmail.com>  Sat, 13 Oct 2018 04:22:37 -0400

=== debian/control ===
Source: ember
Section: oldlibs
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Olek Wojnar <olek@debian.org>
Build-Depends: debhelper-compat (= 12),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://www.worldforge.org/
Vcs-Git: https://salsa.debian.org/games-team/ember.git
Vcs-Browser: https://salsa.debian.org/games-team/ember

Package: ember
Architecture: any
Pre-Depends: snapd
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: 3D client framework for the WorldForge project
 Ember is a 3D client framework for WorldForge. It's not meant to be a
 standalone game, instead its purpose is to provide a solid and extensible
 base from which to build game-specific clients. One of the goals of Ember
 is to allow for easy customization of the codebase. Currently it supports
 the game world of Mason.
 .
 This is a transitional package that installs the Ember snap package.
